| OpendTect 8.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | Protected Types | Protected Member Functions | Protected Attributes | Private Member Functions | List of all members
EM::HorizonPainter2D Class Reference
EarthModel

2D horizon painter More...

`#include <emhorizonpainter2d.h>`

Inheritance diagram for EM::HorizonPainter2D:
[legend]

## Classes
struct | Marker2D

## Public Member Functions
| HorizonPainter2D (FlatView::Viewer &, const EM::ObjectID &)
| ~HorizonPainter2D ()
void | displayIntersection (bool yn)
void | displaySelections (const TypeSet< EM::PosID > &)
void | enableLine (bool)
void | enableSeed (bool)
void | getDisplayedHor (ObjectSet< Marker2D > &)
TypeSet< float > & | getDistances ()
TypeSet< int > & | getTrcNos ()
void | paint ()
void | removeSelections ()
bool | seedEnable () const
void | setGeomID (const Pos::GeomID &)
void | setTrcKeyZSampling (const TrcKeyZSampling &, bool upd=false)
void | updatePreferColors ()
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Public Attributes
Notifier< HorizonPainter2D > | abouttorepaint_
Notifier< HorizonPainter2D > | repaintdone_

## Protected Types
typedef ObjectSet< Marker2D > | SectionMarker2DLine

## Protected Member Functions
bool | addPolyLine ()
void | changePolyLineColor ()
Marker2D * | create2DMarker (const EM::SectionID &, float x, float z)
Marker2D * | create2DMarker (float x, float z)
void | horChangeCB (CallBacker *)
void | removeIntersectionMarkers ()
void | removePolyLine ()
void | updateIntersectionMarkers ()

## Protected Attributes
TypeSet< float > | distances_
Pos::GeomID | geomid_
EM::ObjectID | id_
bool | intersection_
ObjectSet< Marker2D > | intsectmarks_
bool | linenabled_
ObjectSet< SectionMarker2DLine > | markerline_
OD::LineStyle | markerlinestyle_
Marker2D * | markerseeds_
MarkerStyle2D | markerstyle_
bool | seedenabled_
Marker2D * | selectionpoints_
TrcKeyZSampling | tkzs_
TypeSet< int > | trcnos_
FlatView::Viewer & | viewer_

## Private Member Functions
Marker2D * | create2DMarker ()
void | updateSelectionColor ()

## Additional Inherited Members
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Detailed Description

2D horizon painter

<>

## Member Typedef Documentation

## ◆ SectionMarker2DLine

typedef ObjectSet<Marker2D> EM::HorizonPainter2D::SectionMarker2DLine
| protected

## Constructor & Destructor Documentation

## ◆ HorizonPainter2D()

EM::HorizonPainter2D::HorizonPainter2D | ( | FlatView::Viewer & | ,
|  | const EM::ObjectID & | )

## ◆ ~HorizonPainter2D()

EM::HorizonPainter2D::~HorizonPainter2D | ( |  | ) |

## Member Function Documentation

## ◆ addPolyLine()

bool EM::HorizonPainter2D::addPolyLine | ( |  | ) |
| protected

## ◆ changePolyLineColor()

void EM::HorizonPainter2D::changePolyLineColor | ( |  | ) |
| protected

## ◆ create2DMarker() [1/3]

Marker2D * EM::HorizonPainter2D::create2DMarker | ( |  | ) |
| private

## ◆ create2DMarker() [2/3]

Marker2D * EM::HorizonPainter2D::create2DMarker | ( | const EM::SectionID & | ,
|  | float | x,
|  | float | z )
| inline protected

## ◆ create2DMarker() [3/3]

Marker2D * EM::HorizonPainter2D::create2DMarker | ( | float | x,
|  | float | z )
| protected

## ◆ displayIntersection()

void EM::HorizonPainter2D::displayIntersection | ( | bool | yn | ) |

## ◆ displaySelections()

void EM::HorizonPainter2D::displaySelections | ( | const TypeSet< EM::PosID > & |  | ) |

## ◆ enableLine()

void EM::HorizonPainter2D::enableLine | ( | bool |  | ) |

## ◆ enableSeed()

void EM::HorizonPainter2D::enableSeed | ( | bool |  | ) |

## ◆ getDisplayedHor()

void EM::HorizonPainter2D::getDisplayedHor | ( | ObjectSet< Marker2D > & |  | ) |

## ◆ getDistances()

TypeSet< float > & EM::HorizonPainter2D::getDistances | ( |  | ) |
| inline

## ◆ getTrcNos()

TypeSet< int > & EM::HorizonPainter2D::getTrcNos | ( |  | ) |
| inline

## ◆ horChangeCB()

void EM::HorizonPainter2D::horChangeCB | ( | CallBacker * |  | ) |
| protected

## ◆ paint()

void EM::HorizonPainter2D::paint | ( |  | ) |

## ◆ removeIntersectionMarkers()

void EM::HorizonPainter2D::removeIntersectionMarkers | ( |  | ) |
| protected

## ◆ removePolyLine()

void EM::HorizonPainter2D::removePolyLine | ( |  | ) |
| protected

## ◆ removeSelections()

void EM::HorizonPainter2D::removeSelections | ( |  | ) |

## ◆ seedEnable()

bool EM::HorizonPainter2D::seedEnable | ( |  | ) | const
| inline

## ◆ setGeomID()

void EM::HorizonPainter2D::setGeomID | ( | const Pos::GeomID & |  | ) |

## ◆ setTrcKeyZSampling()

void EM::HorizonPainter2D::setTrcKeyZSampling | ( | const TrcKeyZSampling & | ,
|  | bool | upd = false )

## ◆ updateIntersectionMarkers()

void EM::HorizonPainter2D::updateIntersectionMarkers | ( |  | ) |
| protected

## ◆ updatePreferColors()

void EM::HorizonPainter2D::updatePreferColors | ( |  | ) |

## ◆ updateSelectionColor()

void EM::HorizonPainter2D::updateSelectionColor | ( |  | ) |
| private

## Member Data Documentation

## ◆ abouttorepaint_

Notifier<HorizonPainter2D> EM::HorizonPainter2D::abouttorepaint_

## ◆ distances_

TypeSet<float> EM::HorizonPainter2D::distances_
| protected

## ◆ geomid_

Pos::GeomID EM::HorizonPainter2D::geomid_
| protected

## ◆ id_

EM::ObjectID EM::HorizonPainter2D::id_
| protected

## ◆ intersection_

bool EM::HorizonPainter2D::intersection_
| protected

## ◆ intsectmarks_

ObjectSet<Marker2D> EM::HorizonPainter2D::intsectmarks_
| protected

## ◆ linenabled_

bool EM::HorizonPainter2D::linenabled_
| protected

## ◆ markerline_

ObjectSet<SectionMarker2DLine> EM::HorizonPainter2D::markerline_
| protected

## ◆ markerlinestyle_

OD::LineStyle EM::HorizonPainter2D::markerlinestyle_
| protected

## ◆ markerseeds_

Marker2D* EM::HorizonPainter2D::markerseeds_
| protected

## ◆ markerstyle_

MarkerStyle2D EM::HorizonPainter2D::markerstyle_
| protected

## ◆ repaintdone_

Notifier<HorizonPainter2D> EM::HorizonPainter2D::repaintdone_

## ◆ seedenabled_

bool EM::HorizonPainter2D::seedenabled_
| protected

## ◆ selectionpoints_

Marker2D* EM::HorizonPainter2D::selectionpoints_
| protected

## ◆ tkzs_

TrcKeyZSampling EM::HorizonPainter2D::tkzs_
| protected

## ◆ trcnos_

TypeSet<int> EM::HorizonPainter2D::trcnos_
| protected

## ◆ viewer_

FlatView::Viewer& EM::HorizonPainter2D::viewer_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025